Cyberduck Mountain Duck CLI

#9809 closed enhancement (fixed)

Support for aes-gcm@openssh.com ciphers

Reported by: lucaboesch Owned by: dkocher
Priority: normal Milestone: 7.6.0
Component: sftp Version: 5.2.2
Severity: normal Keywords: ssh, cipher
Cc: Architecture: Intel
Platform: macOS 10.12

Description

Hi,

it would be nice if you could update the embedded SSH handling to support the aes-gcm SSH cipher too in order to work with newer OpenSSH versions.

Regards, Luca

Change History (7)

comment:1 Changed on Jan 16, 2017 at 1:00:48 PM by dkocher

  • Milestone set to 6.0
  • Owner set to dkocher
  • Status changed from new to assigned

Dependent on [upstream https://github.com/hierynomus/sshj/issues/217] issue.

Version 0, edited on Jan 16, 2017 at 1:00:48 PM by dkocher (next)

comment:2 Changed on Jan 16, 2017 at 1:01:26 PM by dkocher

  • Summary changed from Please support aes-gcm SSH Cipher to Support for aes-gcm@openssh.com ciphers

comment:3 Changed on Apr 26, 2017 at 8:42:09 AM by dkocher

  • Milestone 6.0 deleted

comment:5 Changed on Dec 29, 2019 at 7:25:23 AM by antiquate

Is there any progress on this one? Can confirm that latest Mountain duck fails to mount SFTP share that supports exclusively GCM suite.

comment:6 Changed on Sep 9, 2020 at 8:03:18 AM by dkocher

  • Milestone set to 7.6.0

comment:7 Changed on Sep 9, 2020 at 9:01:02 AM by yla

  • Resolution set to fixed
  • Status changed from assigned to closed

In r49760.

Note: See TracTickets for help on using tickets.